Bug 714850 - [abrt] kernel: BUG: unable to handle kernel paging request at ffff8800a99c9d80: TAINTED Warning Issued
[abrt] kernel: BUG: unable to handle kernel paging request at ffff8800a99c9d8...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:ad0c01f9e239708792bf3031dac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-21 01:09 EDT by Avinash Reddy
Modified: 2011-08-17 22:34 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.40.3-0.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 21:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avinash Reddy 2011-06-21 01:09:37 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        ro root=UUID=64289c39-2ba2-4df4-8461-beff1e7da922 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
component:      kernel
kernel:         2.6.38.7-30.fc15.x86_64
kernel_tainted: 640
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         [405329.213008] BUG: unable to handle kernel paging request at ffff8800a99c9d80
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Tue Jun 21 10:25:26 2011

backtrace:
:[405329.213008] BUG: unable to handle kernel paging request at ffff8800a99c9d80
:[405329.213008] IP: [<ffff8800a99c9d80>] 0xffff8800a99c9d80
:[405329.213698] PGD 1a04063 PUD 1fffc067 PMD 22b18063 PTE 80000000a99c9163
:[405329.213698] Oops: 0011 [#1] SMP 
:[405329.213698] last sysfs file: /sys/devices/pci0000:00/0000:00:1d.7/usb1/idVendor
:[405329.213698] CPU 1 
:[405329.213698] Modules linked in: nls_utf8 udf crc_itu_t snd_seq_dummy ums_cypress tcp_lp mmc_block vfat fat usb_storage uas fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf capi capifs kernelcapi arc4 snd_hda_codec_si3054 snd_hda_codec_realtek iwl3945 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device tifm_sd iwlcore snd_pcm mmc_core mac80211 tifm_7xx1 tifm_core snd_timer cfg80211 microcode iTCO_wdt snd joydev iTCO_vendor_support i2c_i801 sky2 soundcore serio_raw rfkill snd_page_alloc wmi virtio_net kvm ipv6 yenta_socket nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[405329.213698] 
:[405329.213698] Pid: 27443, comm: umount Tainted: G        W   2.6.38.7-30.fc15.x86_64 #1 Acer, inc. TravelMate 3270 /Prespa1         
:[405329.213698] RIP: 0010:[<ffff8800a99c9d80>]  [<ffff8800a99c9d80>] 0xffff8800a99c9d80
:[405329.213698] RSP: 0018:ffff88006d24da90  EFLAGS: 00010282
:[405329.213698] RAX: ffff8800a99c9d80 RBX: ffff8800a3130da0 RCX: 000000000000cbd8
:[405329.213698] RDX: 0000000000000010 RSI: ffff88006d330438 RDI: ffff8800a3130da0
:[405329.213698] RBP: ffff88006d24da98 R08: ffff8800bfd172b8 R09: ffff880037c1cea0
:[405329.213698] R10: ffffc9000060b000 R11: 0000000000000000 R12: ffff88006d330438
:[405329.213698] R13: 0000000002000000 R14: 0000000000000000 R15: 0000000000000001
:[405329.213698] FS:  00007f27b4765820(0000) GS:ffff8800bfd00000(0000) knlGS:0000000000000000
:[405329.213698] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:[405329.213698] CR2: ffff8800a99c9d80 CR3: 00000000079f5000 CR4: 00000000000006e0
:[405329.213698] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:[405329.213698] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:[405329.213698] Process umount (pid: 27443, threadinfo ffff88006d24c000, task ffff880015d40000)
:[405329.213698] Stack:
:[405329.213698]  ffffffff812115cd ffff88006d24daf8 ffffffff81215e6e ffff8800bfe7c700
:[405329.213698]  0000000000000000 00000010810f154b 0000000100000001 ffff88006d3de730
:[405329.213698]  ffff8800a3130da0 ffff88006d24db40 0000000000000000 ffff880037c1cea0
:[405329.213698] Call Trace:
:[405329.213698]  [<ffffffff812115cd>] ? elv_set_request+0x1b/0x2c
:[405329.213698]  [<ffffffff81215e6e>] get_request+0x1b8/0x262
:[405329.213698]  [<ffffffff812168b1>] get_request_wait+0x35/0x193
:[405329.213698]  [<ffffffff81478d16>] ? do_page_fault+0x33e/0x37a
:[405329.213698]  [<ffffffff810b07c4>] ? __call_rcu+0x123/0x12c
:[405329.213698]  [<ffffffff81216a4e>] blk_get_request+0x3f/0x6e
:[405329.213698]  [<ffffffff812fc981>] scsi_execute+0x41/0x146
:[405329.213698]  [<ffffffff812fcb22>] scsi_execute_req+0x9c/0xce
:[405329.213698]  [<ffffffff812f8bbc>] ioctl_internal_command.constprop.1+0x6b/0x163
:[405329.213698]  [<ffffffff812f8d0d>] scsi_set_medium_removal+0x59/0x94
:[405329.213698]  [<ffffffff8130b329>] sr_lock_door+0x20/0x22
:[405329.213698]  [<ffffffff8132c579>] cdrom_release+0x195/0x205
:[405329.213698]  [<ffffffff8108062c>] ? smp_call_function_many+0xec/0x1dc
:[405329.213698]  [<ffffffff8104127e>] ? should_resched+0xe/0x2d
:[405329.213698]  [<ffffffff81474228>] ? _cond_resched+0xe/0x22
:[405329.213698]  [<ffffffff8130a2bd>] sr_block_release+0x30/0x4d
:[405329.213698]  [<ffffffff81149c22>] __blkdev_put+0xc6/0x179
:[405329.213698]  [<ffffffff81149dd9>] blkdev_put+0x104/0x10c
:[405329.213698]  [<ffffffff811230e5>] kill_block_super+0x65/0x6a
:[405329.213698]  [<ffffffff81123321>] deactivate_locked_super+0x26/0x4b
:[405329.213698]  [<ffffffff81123e8a>] deactivate_super+0x37/0x3b
:[405329.213698]  [<ffffffff811387bc>] mntput_no_expire+0xcc/0xd1
:[405329.213698]  [<ffffffff811391f3>] sys_umount+0x2ac/0x2da
:[405329.213698]  [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b
:[405329.213698] Code: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 68 9d 9c a9 00 88 ff ff 68 9d 9c a9 00 88 ff ff f8 fb 3a bc 00 88 ff ff 
:[405329.213698] RIP  [<ffff8800a99c9d80>] 0xffff8800a99c9d80
:[405329.213698]  RSP <ffff88006d24da90>
:[405329.213698] CR2: ffff8800a99c9d80

event_log:
:2011-06-21-10:39:30> Submitting oops report to http://submit.kerneloops.org/submitoops.php
:2011-06-21-10:39:32  Kernel oops report was uploaded
Comment 1 Dave Jones 2011-07-29 11:54:55 EDT
This bug should be fixed with 2.6.40-3 and higher (available in updates-testing. Please try that kernel, and leave feedback.

Thanks.
Comment 2 Fedora Update System 2011-07-29 12:01:47 EDT
kernel-2.6.40-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-3.fc15
Comment 3 Fedora Update System 2011-07-29 16:40:44 EDT
kernel-2.6.40-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
Comment 4 Fedora Update System 2011-07-30 23:33:54 EDT
Package kernel-2.6.40-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40-4.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-08-01 21:58:34 EDT
kernel-2.6.40-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-08-16 08:48:49 EDT
kernel-2.6.40.3-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.3-0.fc15
Comment 7 Fedora Update System 2011-08-17 22:31:38 EDT
kernel-2.6.40.3-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.